%define kdeprefix /opt/kde
%define version 1.1.1
%define kderelease 2
%define sourcedir stable/1.1.1/distribution/tar/generic/source
%define tag -1.1.1
%define topdirtag -1.1.1
Serial: 3

%define target RedHat 5.1 or 5.2 systems
%define compiler egcs
%define rhseries rh5x
%define redhat redhat-release >= 5.1
%define qtrequired  qt >= 1.42 qt-egcs-10x

%define kdename kdegraphics
%define topdir %{kdename}%{topdirtag}
Name: %{kdename}
Summary: K Desktop Environment - Graphics Applications
Version: %{version}
Release: %{kderelease}%{rhseries}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}%{tag}.tar.gz
Patch: kdegraphics-1.1.1-kghostview.patch
Group: X11/KDE/Graphics
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: %{qtrequired} %{redhat} kdebase-%{rhseries}
Packager: KDE Packaging Team <redhat-rpms@kde.org>
Distribution: KDE
Vendor: The KDE Team
Prefix: %{kdeprefix}
%define packages dviviewer faxviewer fractals ghostview iconeditor paint snapshot imageviewer
%define dviviewer kdvi 
%define faxviewer kfax 
%define fractals kfract 
%define ghostview kghostview 
%define iconeditor kiconedit 
%define paint kpaint 
%define snapshot ksnapshot 
%define imageviewer kview
%define subdirs %dviviewer %faxviewer %fractals  %ghostview %iconeditor %paint %snapshot %imageviewer

%description
Graphics applications for the K Desktop Environment. 

Includes: kdvi (displays TeX .dvi files); kfax (displays fax 
files); kfract (a fractal generator); kghostview (displays postscript files);
kiconedit (icon editor); kpaint (a simple drawing program); ksnapshot (screen
capture utility); kview (image viewer for GIF, JPEG, TIFF, etc.).

%package dviviewer
Summary: K Desktop Environment - Graphics Applications - kdvi
Group: X11/KDE/Utilities
Copyright: GPL
Obsoletes: kdegraphics
Prefix: %{kdeprefix} 
%description dviviewer
This is the application "kdvi" from the "kdegraphics" collection of KDE 
applications.  It displays TeX dvi-file output.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package faxviewer
Summary: K Desktop Environment - Graphics Applications - kfax
Group: X11/KDE/Graphics
Copyright: GPL
Obsoletes: kdegraphics
Prefix: %{kdeprefix} 
%description faxviewer
This is the application "kfax" from the "kdegraphics" collection of KDE 
applications. It displays fax output.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."


%package fractals
Summary: K Desktop Environment - Graphics Applications - kfract
Group: X11/KDE/Graphics
Copyright: GPL
Obsoletes: kdegraphics
Prefix: %{kdeprefix} 
%description fractals
This is  the application "kfract" from the "kdegraphics" collection of KDE 
applications. It is a Mandelbrot set generator.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package ghostview 
Summary: K Desktop Environment - Graphics Applications - kghostview
Group: X11/KDE/Graphics
Obsoletes: kdegraphics
Prefix: %{kdeprefix} 
%description ghostview
This is the application kghostview from the "kdegraphics" collection of KDE 
applications. It displays postscript output.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."


%package iconeditor
Summary: K Desktop Environment - Graphics Applications - kiconedit
Group: X11/KDE/Graphics
Copyright: GPL
Obsoletes: kdegraphics
Prefix: %{kdeprefix} 
%description iconeditor
This is the icon-editing application "kiconedit" from the "kdegraphics" 
collection of KDE applications.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."


%package paint
Summary: K Desktop Environment - Graphics Applications - kpaint
Group: X11/KDE/Graphics
Copyright: GPL
Obsoletes: kdegraphics
Prefix: %{kdeprefix} 
%description paint
This is  the application "kpaint" from the "kdegraphics" collection of KDE 
applications. It is a simple painting/drawing program.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package snapshot
Summary: K Desktop Environment - Graphics Applications - ksnapshot
Group: X11/KDE/Graphics
Copyright: GPL
Obsoletes: kdegraphics
Prefix: %{kdeprefix} 
%description snapshot
This is  the application "ksnaphot" from the kdegraphics collection of KDE 
applications. It is a screen-capture utility.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."
 
%package imageviewer
Summary: K Desktop Environment - Graphics Applications - kview
Group: X11/KDE/Graphics
Copyright: GPL
Obsoletes: kdegraphics 
Prefix: %{kdeprefix}
%description imageviewer
This is  the application "kview" from the "kdegraphics" collection of KDE 
applications. It is an image viewer for GIF, JPEG, TIFF, etc.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."
  
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}
# some bug fixes for kghostview
%patch -p1 

%build
export KDEDIR=%{kdeprefix}
CC=%{compiler} ./configure  --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT
make

%install

cd $RPM_BUILD_DIR/%{topdir}/po
rm -rf $RPM_BUILD_ROOT/*
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
rm -rf $RPM_BUILD_DIR/%{kdename}-po
mkdir $RPM_BUILD_DIR/%{kdename}-po
cp -a $RPM_BUILD_ROOT/* $RPM_BUILD_DIR/%{kdename}-po

for subdir in %{subdirs} ; do
	rm -rf $RPM_BUILD_ROOT/*
	cd $RPM_BUILD_DIR/%{kdename}-po
        find . -name "$subdir*" | cpio -dpv $RPM_BUILD_ROOT       
        find $RPM_BUILD_ROOT -type d -exec chmod 0755 {} ';'      
	cd $RPM_BUILD_DIR/%{topdir}/$subdir
	make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
	cd $RPM_BUILD_ROOT
	tar -cvf $RPM_BUILD_DIR/$subdir.tar .%{kdeprefix}
done

cd $RPM_BUILD_ROOT
for package in %{packages} ; do
	rm -rf $RPM_BUILD_ROOT/*
        pkgdirs=""
	if   [ "$package" = "dviviewer" ] ; then pkgdirs="%{dviviewer}"
	elif [ "$package" = "faxviewer" ] ; then pkgdirs="%{faxviewer}"
	elif [ "$package" = "fractals" ] ; then pkgdirs="%{fractals}"
	elif [ "$package" = "ghostview" ] ; then pkgdirs="%{ghostview}"
	elif [ "$package" = "iconeditor" ] ; then pkgdirs="%{iconeditor}"
	elif [ "$package" = "paint" ] ; then pkgdirs="%{paint}"
	elif [ "$package" = "snapshot" ] ; then pkgdirs="%{snapshot}"
	elif [ "$package" = "imageviewer" ] ; then pkgdirs="%{imageviewer}"
	fi
	for subdir in $pkgdirs ; do
		tar -xvf $RPM_BUILD_DIR/$subdir.tar
		rm $RPM_BUILD_DIR/$subdir.tar
	done
	tar -cvf $RPM_BUILD_DIR/$package.pkg.tar .
	find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package
done

cd $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/*
for package in %{packages} ; do
	tar -xvf $RPM_BUILD_DIR/$package.pkg.tar
done

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{kdename}-po
for package in %{packages} ; do
	rm -f $RPM_BUILD_DIR/file.list.%{kdename}.$package
	rm -f $RPM_BUILD_DIR/$package.pkg.tar
done

%files dviviewer -f ../file.list.%{kdename}.dviviewer
%files faxviewer -f ../file.list.%{kdename}.faxviewer
%files fractals  -f ../file.list.%{kdename}.fractals
%files ghostview -f ../file.list.%{kdename}.ghostview
%files iconeditor -f ../file.list.%{kdename}.iconeditor
%files paint -f ../file.list.%{kdename}.paint
%files snapshot -f ../file.list.%{kdename}.snapshot
%files imageviewer -f ../file.list.%{kdename}.imageviewer


%changelog
* Sun May 30 1999 <duncan@kde.org>
- applied patch for kghostview orientation bug

* Sun Apr 18 1999 <duncan@kde.org>
- updated for KDE-1.1.1

* Sat Feb 13 1999 <duncan@kde.org>
- files in KDEDIR/share/applnk no longer treated as %config files
- fix bad /opt/kde directory permissions bug 

* Mon Feb 8 1999 <duncan@kde.org>
- new rpm packaging for KDE-1.1
- relocatable rpms
- individual apps in subpackages
